Bug 64269 - ttf font not found when install CJK ttf font
ttf font not found when install CJK ttf font
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: ghostscript (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-30 22:53 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-06 21:17:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-30 22:53:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
Install Redhat linux with Simplified Chinese and Tranditional Chinese. Default
language is Simplified Chinese. type 'cd /usr/share/ghostscript/Resource'. Then
type './alias-ag14.sh install hj=gbsn00lp.ttf'. It will print 'gbsn00lp.ttf not
found in /usr/local/share/fonts/truetype. It means ttf fonts directory is wrong.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install Redhat linux with English,Simplified Chinese and Tranditional Chinese.
Default language is Simplified Chinese.
2.cd /usr/share/ghostscript/Resource
3../alias-ag14.sh install hj=gbsn00lp.ttf
	

Actual Results:  gbsn00lp.ttf not found in /usr/local/share/fonts/truetype

Expected Results:  +hj=gbsn00lp.ttf

Additional info:

Modify TTFontDir like this 'TTFontDir=/usr/share/fonts/ttf' in file
'alias-cid.sh'. Then it work fine. Source must be modified to fit this.
Comment 1 Akira TAGOH 2002-12-13 04:24:57 EST
What do you mean the default? it depends on what fonts you use. so you should be
unnecessary to do that. if you want to use Traditional Chinese font, you should
just use ZenKai-Medium and ShanHeiSun-Light. for example:
%! PS-Adobe-3.0
/ZenKai-Medium-B5-H findfont 10 scalefont setfont
0 100 moveto
<AAA9C576A9D2A6B3> show
Comment 2 Leon Ho 2003-01-06 21:17:25 EST
You don't have to install any extra for our installed CJK ttfs now. gbsn00lp.ttf is 
already installed as CIDFnmap in /usr/share/ghostscript/7.05/lib/CIDFnmap.ARP. That 
location can be the location for your own installed font. 

Note You need to log in before you can comment on or make changes to this bug.